within AdaptP.Electrical.Basic.FFL;
model CircuitBreaker_FFL
  extends AdaptP.Electrical.Basic.CircuitBreaker;
  //state = 0 NOMINAl
  //state = 2 LOST
  //state = 3 LOST RECOVERABLE
  discrete Integer state(start = 0);
  Real min_current = 0.01;
  Real min_voltage = 0.01;
algorithm
  when (FM==2 or FM==3) then
   state := 2;  //LOST - stuck closed or failed open open
  elsewhen (abs(i)> maxCurrent and command==true and pre(state)==0) then
   state := 2; //LOST - tripping
  elsewhen (abs(i)< min_current and pre(state)==0) then
   state := 3;  //LOST RECOVERABLE - disconnected fron the circuit
  elsewhen (abs(i)>min_current and pre(state)==3) then
   state := 0;  //NOMINAL - recovered from lost recoverable state
  end when;
end CircuitBreaker_FFL;
