within AdaptP.Electrical.Basic.FFL;
model DCResistor_FFL
  extends DCResistor;
  //state = 0 NOMINAl
  //state = 1 DEGRADED
  //state = 2 LOST
  //state = 3 LOST RECOVERABLE
   discrete Integer state(start = 0);
   Real min_current = 0.01;
algorithm
  when 
      (abs(i)< min_current and pre(state)==0) then
     state := 3;  //LOST RECOVERABLE - disconnected fron the circuit) then
  elsewhen (abs(i)> min_current and pre(state)==3) then
    state := 0;
  elsewhen (FM==1 or FM==2 or FM==3 or FM==4) then
    state := 2;
  end when;
end DCResistor_FFL;
