within AdaptP.Electrical.Sources.FFL;
model BatteryConstantVoltage_FFL
  extends AdaptP.Electrical.Sources.BatteryConstantVoltage;
  //state = 0 NOMINAl
  //state = 1 DEGRADED
  //state = 2 LOST
  //state = 3 LOST RECOVERABLE
  discrete Integer state(start = 0);
  Real min_current = 0.01;
  Real min_voltage = 0.01;
algorithm
 when ((v<22 or v>24) and abs(i)> min_current and pre(state)==0) then
   state := 1;  //DEGRADED
 elsewhen (abs(n.v) < min_voltage and pre(state)==0) then
   state := 2;  //LOST
 elsewhen (abs(n.v) < min_voltage and pre(state)==1) then
   state := 2;  //LOST
 elsewhen (abs(i)< min_current and pre(state)==0) then
   state := 3;  //LOST RECOVERABLE
 end when;
end BatteryConstantVoltage_FFL;
