within AdaptP.Examples.ConceptModels;
model epsDesign3layout

  import AdaptP.Electrical.Basic.*;
  import AdaptP.Electrical.Sources.*;
  import AdaptP.Sensors.*;
  WaterPump Pump2 annotation (Placement(transformation(extent={{142,96},{162,
            116}})));
  LargeFan Fan3 annotation (Placement(transformation(extent={{140,68},{160,88}})));
  LightBulb Light4 annotation (Placement(transformation(extent={{154,-54},{174,
            -34}})));
  DCResistor DC5 annotation (Placement(transformation(extent={{52,0},{72,20}})));
  WaterPump Pump6 annotation (Placement(transformation(extent={{152,-20},{172,0}})));
  LargeFan Fan7 annotation (Placement(transformation(extent={{142,42},{162,62}})));
  LightBulb Light8 annotation (Placement(transformation(extent={{142,120},{162,
            140}})));
  DCResistor DC9 annotation (Placement(transformation(extent={{50,28},{70,48}})));
  Relay RL10 annotation (Placement(transformation(extent={{108,42},{128,62}})));
  Relay RL11 annotation (Placement(transformation(extent={{16,28},{36,48}})));
  Relay RL12 annotation (Placement(transformation(extent={{108,96},{128,116}})));
  Relay RL13 annotation (Placement(transformation(extent={{124,-20},{144,0}})));
  CircuitBreaker CB12 annotation (Placement(transformation(extent={{-14,28},{6,
            48}})));
  Relay RL14 annotation (Placement(transformation(extent={{108,68},{128,88}})));
  CircuitBreaker CB4 annotation (Placement(transformation(extent={{-156,40},{
            -136,60}})));
  Relay RL1 annotation (Placement(transformation(extent={{-120,0},{-100,20}})));
  BatteryConstantVoltage Battery annotation (Placement(transformation(extent={{-180,40},
            {-160,60}})));
  PGBus PGBus3 annotation (Placement(transformation(extent={{-94,0},{-74,20}})));
  PGBus PGBus4 annotation (Placement(transformation(extent={{-98,80},{-78,100}})));
  Relay RL5 annotation (Placement(transformation(extent={{-120,80},{-100,100}})));
  Relay RL21 annotation (Placement(transformation(extent={{108,120},{128,140}})));
  DCBus DCBus0 annotation (Placement(transformation(extent={{-48,80},{-28,100}})));
  ACBus ACBus1 annotation (Placement(transformation(extent={{82,-38},{102,-18}})));
  DCBus DCBus2 annotation (Placement(transformation(extent={{-42,0},{-22,20}})));
  ACBus ACBus3 annotation (Placement(transformation(extent={{66,80},{86,100}})));
  Relay RL25 annotation (Placement(transformation(extent={{124,-54},{144,-34}})));
  CircuitBreaker CB226 annotation (Placement(transformation(extent={{-12,-38},{
            8,-18}})));
  CircuitBreaker CB327 annotation (Placement(transformation(extent={{52,-38},{
            72,-18}})));
  InverterC Inverter28 annotation (Placement(transformation(extent={{20,-38},{
            40,-18}})));
  CircuitBreaker CB229 annotation (Placement(transformation(extent={{-20,80},{0,
            100}})));
  CircuitBreaker CB330 annotation (Placement(transformation(extent={{40,80},{60,
            100}})));
  InverterC Inverter31 annotation (Placement(transformation(extent={{8,80},{28,
            100}})));
  Relay RL32 annotation (Placement(transformation(extent={{-70,0},{-50,20}})));
  Relay RL33 annotation (Placement(transformation(extent={{-74,80},{-54,100}})));
  Relay RL34 annotation (Placement(transformation(extent={{18,0},{38,20}})));
  CircuitBreaker CB35 annotation (Placement(transformation(extent={{-12,0},{8,
            20}})));
  Ground gnd   annotation (Placement(transformation(extent={{178,-78},{198,-58}})));
equation
  connect(DCBus2.n,CB35.p) 
                          annotation (Line(points={{-23,10},{-11,10}},
                                                                   color={0,0,255},smooth=Smooth.None));
  connect(CB35.n,RL34.p) 
                        annotation (Line(points={{7,10},{19,10}},color={0,0,255},smooth=Smooth.None));
  connect(RL34.n,DC5.p) 
                       annotation (Line(points={{37,10},{53,10}},
                                                                color={0,0,255},smooth=Smooth.None));
  connect(ACBus3.n,RL10.p) 
                          annotation (Line(points={{85,90},{92,90},{92,52},{109,
          52}},                                                    color={0,0,255},smooth=Smooth.None));
  connect(ACBus1.n,RL25.p) 
                          annotation (Line(points={{101,-28},{114,-28},{114,-44},
          {125,-44}},                                              color={0,0,255},smooth=Smooth.None));
  connect(ACBus3.n,RL12.p) 
                          annotation (Line(points={{85,90},{92,90},{92,106},{
          109,106}},                                               color={0,0,255},smooth=Smooth.None));
  connect(RL33.n,DCBus0.p) 
                          annotation (Line(points={{-55,90},{-47,90}},
                                                                   color={0,0,255},smooth=Smooth.None));
  connect(PGBus4.n,RL33.p) 
                          annotation (Line(points={{-79,90},{-73,90}},
                                                                   color={0,0,255},smooth=Smooth.None));
  connect(DCBus2.n,CB12.p) 
                          annotation (Line(points={{-23,10},{-18,10},{-18,38},{
          -13,38}},                                                color={0,0,255},smooth=Smooth.None));
  connect(RL32.n,DCBus2.p) 
                          annotation (Line(points={{-51,10},{-41,10}},
                                                                   color={0,0,255},smooth=Smooth.None));
  connect(PGBus3.n,RL32.p) 
                          annotation (Line(points={{-75,10},{-69,10}},
                                                                   color={0,0,255},smooth=Smooth.None));
  connect(CB330.n,ACBus3.p) 
                           annotation (Line(points={{59,90},{67,90}},
                                                                    color={0,0,255},smooth=Smooth.None));
  connect(Inverter31.n,CB330.p) 
                               annotation (Line(points={{27,90},{41,90}},
                                                                        color={0,0,255},smooth=Smooth.None));
  connect(CB229.n,Inverter31.p) 
                               annotation (Line(points={{-1,90},{9,90}},color={0,0,255},smooth=Smooth.None));
  connect(DCBus0.n,CB229.p) 
                           annotation (Line(points={{-29,90},{-19,90}},
                                                                    color={0,0,255},smooth=Smooth.None));
  connect(ACBus1.n,RL13.p) 
                          annotation (Line(points={{101,-28},{114,-28},{114,-10},
          {125,-10}},                                              color={0,0,255},smooth=Smooth.None));
  connect(ACBus3.n,RL14.p) 
                          annotation (Line(points={{85,90},{92,90},{92,78},{109,
          78}},                                                    color={0,0,255},smooth=Smooth.None));
  connect(CB327.n,ACBus1.p) 
                           annotation (Line(points={{71,-28},{83,-28}},
                                                                    color={0,0,255},smooth=Smooth.None));
  connect(Inverter28.n,CB327.p) 
                               annotation (Line(points={{39,-28},{53,-28}},
                                                                        color={0,0,255},smooth=Smooth.None));
  connect(CB226.n,Inverter28.p) 
                               annotation (Line(points={{7,-28},{21,-28}},
                                                                        color={0,0,255},smooth=Smooth.None));
  connect(DCBus2.n,CB226.p) 
                           annotation (Line(points={{-23,10},{-18,10},{-18,-28},
          {-11,-28}},                                               color={0,0,255},smooth=Smooth.None));
  connect(RL25.n,Light4.p) 
                          annotation (Line(points={{143,-44},{155,-44}},
                                                                   color={0,0,255},smooth=Smooth.None));
  connect(ACBus3.n,RL21.p) 
                          annotation (Line(points={{85,90},{92,90},{92,130},{
          109,130}},                                               color={0,0,255},smooth=Smooth.None));
  connect(RL21.n,Light8.p) 
                          annotation (Line(points={{127,130},{143,130}},
                                                                   color={0,0,255},smooth=Smooth.None));
  connect(RL5.n,PGBus4.p) 
                         annotation (Line(points={{-101,90},{-97,90}},
                                                                  color={0,0,255},smooth=Smooth.None));
  connect(CB4.n,RL5.p) 
                      annotation (Line(points={{-137,50},{-128,50},{-128,90},{
          -119,90}},                                           color={0,0,255},smooth=Smooth.None));
  connect(RL1.n,PGBus3.p) 
                         annotation (Line(points={{-101,10},{-93,10}},
                                                                  color={0,0,255},smooth=Smooth.None));
  connect(Battery.n,CB4.p) 
                          annotation (Line(points={{-161,50},{-155,50}},
                                                                   color={0,0,255},smooth=Smooth.None));
  connect(CB4.n,RL1.p) 
                      annotation (Line(points={{-137,50},{-128,50},{-128,10},{
          -119,10}},                                           color={0,0,255},smooth=Smooth.None));
  connect(RL14.n,Fan3.p) 
                        annotation (Line(points={{127,78},{141,78}},
                                                                 color={0,0,255},smooth=Smooth.None));
  connect(CB12.n,RL11.p) 
                        annotation (Line(points={{5,38},{17,38}},color={0,0,255},smooth=Smooth.None));
  connect(RL13.n,Pump6.p) 
                         annotation (Line(points={{143,-10},{153,-10}},
                                                                  color={0,0,255},smooth=Smooth.None));
  connect(RL12.n,Pump2.p) 
                         annotation (Line(points={{127,106},{143,106}},
                                                                  color={0,0,255},smooth=Smooth.None));
  connect(RL11.n,DC9.p) 
                       annotation (Line(points={{35,38},{51,38}},
                                                                color={0,0,255},smooth=Smooth.None));
  connect(RL10.n,Fan7.p) 
                        annotation (Line(points={{127,52},{143,52}},
                                                                 color={0,0,255},smooth=Smooth.None));
  connect(Battery.p,gnd.p) 
                          annotation (Line(points={{-179,50},{-192.5,50},{
          -192.5,-58},{188,-58}},                                  color={0,0,255},smooth=Smooth.None));
  connect(DC9.n,gnd.p) 
                      annotation (Line(points={{69,38},{188.5,38},{188.5,-58},{
          188,-58}},                                           color={0,0,255},smooth=Smooth.None));
  connect(Light8.n,gnd.p) 
                         annotation (Line(points={{161,130},{188.5,130},{188.5,
          -58},{188,-58}},                                        color={0,0,255},smooth=Smooth.None));
  connect(Fan7.n,gnd.p) 
                       annotation (Line(points={{161,52},{188.5,52},{188.5,-58},
          {188,-58}},                                           color={0,0,255},smooth=Smooth.None));
  connect(Pump6.n,gnd.p) 
                        annotation (Line(points={{171,-10},{188.5,-10},{188.5,
          -58},{188,-58}},                                       color={0,0,255},smooth=Smooth.None));
  connect(DC5.n,gnd.p) 
                      annotation (Line(points={{71,10},{188.5,10},{188.5,-58},{
          188,-58}},                                           color={0,0,255},smooth=Smooth.None));
  connect(Light4.n,gnd.p) 
                         annotation (Line(points={{173,-44},{188.5,-44},{188.5,
          -58},{188,-58}},                                        color={0,0,255},smooth=Smooth.None));
  connect(Fan3.n,gnd.p) 
                       annotation (Line(points={{159,78},{188.5,78},{188.5,-58},
          {188,-58}},                                           color={0,0,255},smooth=Smooth.None));
  connect(Pump2.n,gnd.p) 
                        annotation (Line(points={{161,106},{188.5,106},{188.5,
          -58},{188,-58}},                                       color={0,0,255},smooth=Smooth.None));
  annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-200,
            -100},{200,200}}), graphics),                                                          Icon(
        coordinateSystem(preserveAspectRatio=true, extent={{-200,-100},{200,200}})),
    uses(Modelica(version="3.1")));
end epsDesign3layout;
