within AdaptP.Examples.TestFFL;
model test_BAT_CB_FFL_01

  Electrical.Basic.FFL.CircuitBreaker_FFL CB_FFL 
    annotation (Placement(transformation(extent={{-32,10},{-12,30}})));
  Electrical.Basic.DCResistor RES 
    annotation (Placement(transformation(extent={{-2,10},{18,30}})));
  Electrical.Basic.Ground ground 
    annotation (Placement(transformation(extent={{24,-36},{44,-16}})));
  Electrical.Sources.FFL.BatteryConstantVoltage_FFL BAT_FFL 
    annotation (Placement(transformation(extent={{-66,10},{-46,30}})));
equation
  connect(CB_FFL.n, RES.p) annotation (Line(
      points={{-13,20},{-1,20}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(RES.n, ground.p) annotation (Line(
      points={{17,20},{34,20},{34,-16}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(BAT_FFL.n, CB_FFL.p) annotation (Line(
      points={{-47,20},{-31,20}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(BAT_FFL.p, ground.p) annotation (Line(
      points={{-65,20},{-80,20},{-80,-16},{34,-16}},
      color={0,0,255},
      smooth=Smooth.None));
  annotation (Diagram(graphics));
end test_BAT_CB_FFL_01;
