within AdaptP.Examples.TestFFL;
model test_Battery_FFL_01

  Electrical.Sources.FFL.BatteryConstantVoltage_FFL BAT_FFL 
    annotation (Placement(transformation(extent={{-26,60},{-6,80}})));
  Electrical.Basic.DCResistor dCResistor 
    annotation (Placement(transformation(extent={{4,60},{24,80}})));
  Electrical.Basic.Ground ground 
    annotation (Placement(transformation(extent={{24,30},{44,50}})));
equation
  connect(dCResistor.n, ground.p) annotation (Line(
      points={{23,70},{34,70},{34,50}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(BAT_FFL.n, dCResistor.p) annotation (Line(
      points={{-7,70},{5,70}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(BAT_FFL.p, ground.p) annotation (Line(
      points={{-25,70},{-36,70},{-36,50},{34,50}},
      color={0,0,255},
      smooth=Smooth.None));
  annotation (Diagram(graphics));
end test_Battery_FFL_01;
