within AdaptP.Examples.TestFFL;
model test_SpeedTransmitter_FFL_01
  Sensors.FFL.SpeedTransmitter_FFL ST
    annotation (Placement(transformation(extent={{26,14},{46,34}})));
  Electrical.Sources.BatteryConstantVoltage BAT
    annotation (Placement(transformation(extent={{-70,-10},{-50,10}})));
  Electrical.Basic.LargeFan FAN
    annotation (Placement(transformation(extent={{-14,-10},{6,10}})));
  Electrical.Basic.Ground ground
    annotation (Placement(transformation(extent={{36,-56},{56,-36}})));
  annotation (Diagram(graphics));
equation
  connect(BAT.n, FAN.p) annotation (Line(
      points={{-51,0},{-13,0}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(FAN.n, ground.p) annotation (Line(
      points={{5,0},{46,0},{46,-36}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(BAT.p, ground.p) annotation (Line(
      points={{-69,0},{-84,0},{-84,-36},{46,-36}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(ST.speedPort, FAN.speedPort) annotation (Line(
      points={{27,24},{-4,24},{-4,9}},
      color={0,0,255},
      smooth=Smooth.None));
end test_SpeedTransmitter_FFL_01;
