within AdaptP.Examples.TestFailureModes;
model TestBatteryAbruptParasiticLoad

  Electrical.Sources.BatteryConstantVoltage BAT(FM=1) 
    annotation (Placement(transformation(extent={{-78,64},{-58,84}})));
  Electrical.Basic.DCResistor R 
    annotation (Placement(transformation(extent={{-32,64},{-12,84}})));
  Electrical.Basic.Ground ground 
    annotation (Placement(transformation(extent={{-8,32},{12,52}})));
equation
  connect(BAT.n, R.p) annotation (Line(
      points={{-59,74},{-31,74}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(R.n, ground.p) annotation (Line(
      points={{-13,74},{-6,74},{-6,52},{2,52}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(BAT.p, ground.p) annotation (Line(
      points={{-77,74},{-92,74},{-92,52},{2,52}},
      color={0,0,255},
      smooth=Smooth.None));
  annotation (Diagram(graphics));
end TestBatteryAbruptParasiticLoad;
