within AdaptP.Interfaces;
connector HeatPort "Thermal port for 1-dim heat transafer"
  SI.Temperature T "Port temperature";
  flow SI.HeatFlowRate Q_flow
    "Heat flow rate (positive if flowing from outside into the component)";
  annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
            -100},{100,100}}), graphics={Rectangle(
          extent={{-100,100},{100,-100}},
          lineColor={127,0,0},
          fillColor={127,0,0},
          fillPattern=FillPattern.Solid)}));
end HeatPort;
