within AdaptP.Modules;
model LoadBank1

  Electrical.Interfaces.Pin pIn1 
    annotation (Placement(transformation(extent={{-150,42},{-142,50}})));
  Electrical.Interfaces.Pin pIn2 
    annotation (Placement(transformation(extent={{-150,-122},{-142,-114}})));
  Electrical.Basic.Relay EY170 
    annotation (Placement(transformation(extent={{-100,90},{-80,110}})));
  Electrical.Basic.Relay EY171 
    annotation (Placement(transformation(extent={{-98,36},{-78,56}})));
  Electrical.Basic.Relay EY172 
    annotation (Placement(transformation(extent={{-100,10},{-80,30}})));
  Electrical.Basic.Relay EY173 
    annotation (Placement(transformation(extent={{-100,-16},{-80,4}})));
  Electrical.Basic.Relay EY174 
    annotation (Placement(transformation(extent={{-102,-42},{-82,-22}})));
  Electrical.Basic.Relay EY183 
    annotation (Placement(transformation(extent={{-100,-112},{-80,-92}})));
  Electrical.Basic.Relay EY184 
    annotation (Placement(transformation(extent={{-100,-144},{-80,-124}})));
  Electrical.Basic.LightBulb LG400 
    annotation (Placement(transformation(extent={{-44,114},{-24,134}})));
  Electrical.Basic.LightBulb LG401 
    annotation (Placement(transformation(extent={{-44,90},{-24,110}})));
  Electrical.Basic.LightBulb LG402 
    annotation (Placement(transformation(extent={{-44,62},{-24,82}})));
  Sensors.TemperatureSensor TE500 
    annotation (Placement(transformation(extent={{-14,128},{6,148}})));
  Sensors.TemperatureSensor TE501 
    annotation (Placement(transformation(extent={{-12,102},{8,122}})));
  Sensors.TemperatureSensor TE502 
    annotation (Placement(transformation(extent={{-12,74},{8,94}})));
  Electrical.Basic.LargeFan FAN415 
    annotation (Placement(transformation(extent={{-42,36},{-22,56}})));
  Electrical.Basic.LargeFan FAN480 
    annotation (Placement(transformation(extent={{-40,10},{-20,30}})));
  Electrical.Basic.WaterPump PMP425 
    annotation (Placement(transformation(extent={{-40,-42},{-20,-22}})));
  Electrical.Basic.LightBulb LGT481 
    annotation (Placement(transformation(extent={{-42,-16},{-22,4}})));
  Electrical.Basic.Relay EY175 
    annotation (Placement(transformation(extent={{-102,-70},{-82,-50}})));
  Electrical.Basic.LightBulb LGT411 
    annotation (Placement(transformation(extent={{-40,-70},{-20,-50}})));
  Sensors.TemperatureSensor TE511 
    annotation (Placement(transformation(extent={{-2,-54},{18,-34}})));
  Electrical.Interfaces.Pin pg 
    annotation (Placement(transformation(extent={{126,-8},{132,-2}})));
  Electrical.Basic.DCResistor DC482 
    annotation (Placement(transformation(extent={{-56,-112},{-36,-92}})));
equation
  connect(pIn2, EY183.p) annotation (Line(
      points={{-146,-118},{-120,-118},{-120,-102},{-99,-102}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(pIn2, EY184.p) annotation (Line(
      points={{-146,-118},{-121,-118},{-121,-134},{-99,-134}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(pIn1, EY170.p) annotation (Line(
      points={{-146,46},{-120,46},{-120,100},{-99,100}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(pIn1, EY171.p) annotation (Line(
      points={{-146,46},{-97,46}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(pIn1, EY172.p) annotation (Line(
      points={{-146,46},{-120,46},{-120,20},{-99,20}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(pIn1, EY173.p) annotation (Line(
      points={{-146,46},{-120,46},{-120,-6},{-99,-6}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(pIn1, EY174.p) annotation (Line(
      points={{-146,46},{-120,46},{-120,-32},{-101,-32}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(LG400.heatPort, TE500.port) annotation (Line(
      points={{-34,133},{-34,138},{-13,138}},
      color={127,0,0},
      smooth=Smooth.None));
  connect(LG401.heatPort, TE501.port) annotation (Line(
      points={{-34,109},{-34,112},{-11,112}},
      color={127,0,0},
      smooth=Smooth.None));
  connect(LG402.heatPort, TE502.port) annotation (Line(
      points={{-34,81},{-34,84},{-11,84}},
      color={127,0,0},
      smooth=Smooth.None));
  connect(EY170.n, LG400.p) annotation (Line(
      points={{-81,100},{-62,100},{-62,124},{-43,124}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY170.n, LG401.p) annotation (Line(
      points={{-81,100},{-43,100}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY170.n, LG402.p) annotation (Line(
      points={{-81,100},{-62,100},{-62,72},{-43,72}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY171.n, FAN415.p) annotation (Line(
      points={{-79,46},{-41,46}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY172.n, FAN480.p) annotation (Line(
      points={{-81,20},{-39,20}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY173.n, LGT481.p) annotation (Line(
      points={{-81,-6},{-41,-6}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY174.n, PMP425.p) annotation (Line(
      points={{-83,-32},{-39,-32}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY175.p, pIn1) annotation (Line(
      points={{-101,-60},{-120,-60},{-120,46},{-146,46}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY175.n, LGT411.p) annotation (Line(
      points={{-83,-60},{-39,-60}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(LGT411.heatPort, TE511.port) annotation (Line(
      points={{-30,-51},{-30,-44},{-1,-44}},
      color={127,0,0},
      smooth=Smooth.None));
  connect(LG400.n, pg) annotation (Line(
      points={{-25,124},{62,124},{62,-5},{129,-5}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(LG401.n, pg) annotation (Line(
      points={{-25,100},{62,100},{62,-5},{129,-5}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(LG402.n, pg) annotation (Line(
      points={{-25,72},{62,72},{62,-5},{129,-5}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(FAN415.n, pg) annotation (Line(
      points={{-23,46},{62,46},{62,-5},{129,-5}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(FAN480.n, pg) annotation (Line(
      points={{-21,20},{62,20},{62,-5},{129,-5}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(LGT481.n, pg) annotation (Line(
      points={{-23,-6},{62,-6},{62,-5},{129,-5}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(PMP425.n, pg) annotation (Line(
      points={{-21,-32},{62,-32},{62,-5},{129,-5}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(LGT411.n, pg) annotation (Line(
      points={{-21,-60},{62,-60},{62,-5},{129,-5}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY183.n, DC482.p) annotation (Line(
      points={{-81,-102},{-55,-102}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY184.n, pg) annotation (Line(
      points={{-81,-134},{62,-134},{62,-5},{129,-5}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(DC482.n, pg) annotation (Line(
      points={{-37,-102},{62,-102},{62,-5},{129,-5}},
      color={0,0,255},
      smooth=Smooth.None));
  annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-150,
            -150},{130,150}}), graphics={Bitmap(
          extent={{-149,180},{149,-180}},
          origin={-8,1},
          rotation=-90,
          fileName="modelica://AdaptP/../Icons/LoadBank.jpg"),
          Text(
          extent={{4,161},{304,121}},
          textString="%name",
          lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=
            true, extent={{-150,-150},{130,150}}), graphics));
end LoadBank1;
