within AdaptP.Modules;
model LoadBank2

  Electrical.Interfaces.Pin pIn1 
    annotation (Placement(transformation(extent={{-150,42},{-142,50}})));
  Electrical.Interfaces.Pin pIn2 
    annotation (Placement(transformation(extent={{-150,-122},{-142,-114}})));
  Electrical.Basic.Relay EY274 
    annotation (Placement(transformation(extent={{-98,-24},{-78,-4}})));
  Electrical.Basic.Relay EY275 
    annotation (Placement(transformation(extent={{-100,-70},{-80,-50}})));
  Electrical.Basic.Relay EY273 
    annotation (Placement(transformation(extent={{-98,26},{-78,46}})));
  Electrical.Basic.Relay EY270 
    annotation (Placement(transformation(extent={{-100,114},{-80,134}})));
  Electrical.Basic.Relay EY283 
    annotation (Placement(transformation(extent={{-100,-112},{-80,-92}})));
  Electrical.Basic.Relay EY284 
    annotation (Placement(transformation(extent={{-100,-144},{-80,-124}})));
  Electrical.Basic.LightBulb LGT405 
    annotation (Placement(transformation(extent={{-48,0},{-28,20}})));
  Electrical.Basic.LightBulb LGT406 
    annotation (Placement(transformation(extent={{-48,-24},{-28,-4}})));
  Electrical.Basic.LightBulb LGT407 
    annotation (Placement(transformation(extent={{-48,-52},{-28,-32}})));
  Sensors.TemperatureSensor TE505 
    annotation (Placement(transformation(extent={{-16,14},{4,34}})));
  Sensors.TemperatureSensor TE506 
    annotation (Placement(transformation(extent={{-16,-12},{4,8}})));
  Sensors.TemperatureSensor TE507 
    annotation (Placement(transformation(extent={{-16,-40},{4,-20}})));
  Electrical.Basic.LargeFan FAN416 
    annotation (Placement(transformation(extent={{-28,-70},{-8,-50}})));
  Electrical.Basic.WaterPump PMP420 
    annotation (Placement(transformation(extent={{-48,114},{-28,134}})));
  Electrical.Basic.LightBulb LGT484 
    annotation (Placement(transformation(extent={{-52,26},{-32,46}})));
  Electrical.Basic.Relay EY271 
    annotation (Placement(transformation(extent={{-98,84},{-78,104}})));
  Electrical.Basic.LightBulb LGT410 
    annotation (Placement(transformation(extent={{-50,84},{-30,104}})));
  Sensors.TemperatureSensor TE510 
    annotation (Placement(transformation(extent={{10,100},{30,120}})));
  Electrical.Interfaces.Pin pg 
    annotation (Placement(transformation(extent={{126,-8},{132,-2}})));
  Electrical.Basic.DCResistor DC485 
    annotation (Placement(transformation(extent={{-56,-112},{-36,-92}})));
  Electrical.Basic.Relay EY272 
    annotation (Placement(transformation(extent={{-98,54},{-78,74}})));
  Electrical.Basic.ACResistor AC483 
    annotation (Placement(transformation(extent={{-50,54},{-30,74}})));
equation
  connect(pIn2, EY283.p) annotation (Line(
      points={{-146,-118},{-120,-118},{-120,-102},{-99,-102}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(pIn2, EY284.p) annotation (Line(
      points={{-146,-118},{-121,-118},{-121,-134},{-99,-134}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(pIn1, EY274.p) annotation (Line(
      points={{-146,46},{-120,46},{-120,-14},{-97,-14}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(pIn1, EY275.p) annotation (Line(
      points={{-146,46},{-120,46},{-120,-60},{-99,-60}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(pIn1, EY273.p) annotation (Line(
      points={{-146,46},{-120,46},{-120,36},{-97,36}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(pIn1, EY270.p) annotation (Line(
      points={{-146,46},{-120,46},{-120,124},{-99,124}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(LGT405.heatPort, TE505.port) annotation (Line(
      points={{-38,19},{-38,24},{-15,24}},
      color={127,0,0},
      smooth=Smooth.None));
  connect(LGT406.heatPort, TE506.port) annotation (Line(
      points={{-38,-5},{-38,-2},{-15,-2}},
      color={127,0,0},
      smooth=Smooth.None));
  connect(LGT407.heatPort, TE507.port) annotation (Line(
      points={{-38,-33},{-38,-30},{-15,-30}},
      color={127,0,0},
      smooth=Smooth.None));
  connect(EY274.n, LGT405.p) annotation (Line(
      points={{-79,-14},{-66,-14},{-66,10},{-47,10}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY274.n, LGT406.p) annotation (Line(
      points={{-79,-14},{-47,-14}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY274.n, LGT407.p) annotation (Line(
      points={{-79,-14},{-66,-14},{-66,-42},{-47,-42}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY275.n, FAN416.p) annotation (Line(
      points={{-81,-60},{-27,-60}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY273.n, LGT484.p) annotation (Line(
      points={{-79,36},{-51,36}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY270.n, PMP420.p) annotation (Line(
      points={{-81,124},{-47,124}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY271.p, pIn1) annotation (Line(
      points={{-97,94},{-120,94},{-120,46},{-146,46}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY271.n, LGT410.p) annotation (Line(
      points={{-79,94},{-49,94}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(LGT410.heatPort, TE510.port) annotation (Line(
      points={{-40,103},{-40,110},{11,110}},
      color={127,0,0},
      smooth=Smooth.None));
  connect(LGT405.n, pg) annotation (Line(
      points={{-29,10},{62,10},{62,-5},{129,-5}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(LGT406.n, pg) annotation (Line(
      points={{-29,-14},{58,-14},{58,-5},{129,-5}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(LGT407.n, pg) annotation (Line(
      points={{-29,-42},{62,-42},{62,-5},{129,-5}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(FAN416.n, pg) annotation (Line(
      points={{-9,-60},{62,-60},{62,-5},{129,-5}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(LGT484.n, pg) annotation (Line(
      points={{-33,36},{62,36},{62,-5},{129,-5}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(PMP420.n, pg) annotation (Line(
      points={{-29,124},{62,124},{62,-5},{129,-5}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(LGT410.n, pg) annotation (Line(
      points={{-31,94},{62,94},{62,-5},{129,-5}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY283.n, DC485.p) annotation (Line(
      points={{-81,-102},{-55,-102}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY284.n, pg) annotation (Line(
      points={{-81,-134},{62,-134},{62,-5},{129,-5}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(DC485.n, pg) annotation (Line(
      points={{-37,-102},{62,-102},{62,-5},{129,-5}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY272.n, AC483.p) annotation (Line(
      points={{-79,64},{-49,64}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY272.p, pIn1) annotation (Line(
      points={{-97,64},{-120,64},{-120,46},{-146,46}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(AC483.n, pg) annotation (Line(
      points={{-31,64},{62,64},{62,-5},{129,-5}},
      color={0,0,255},
      smooth=Smooth.None));
  annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-150,
            -150},{130,150}}), graphics={Bitmap(
          extent={{-149,180},{149,-180}},
          origin={-8,1},
          rotation=-90,
          fileName="modelica://AdaptP/../Icons/LoadBank.jpg"),
          Text(
          extent={{2,161},{302,121}},
          textString="%name",
          lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=
            true, extent={{-150,-150},{130,150}}), graphics));
end LoadBank2;
