within AdaptR.Electrical.Basic;
model PGBus
  extends AdaptR.Interfaces.TwoRelCon;
  AdaptR.Interfaces.RelCon rp 
    annotation (Placement(transformation(extent={{-100,-10},{-80,10}})));
  AdaptR.Interfaces.RelCon rn 
    annotation (Placement(transformation(extent={{80,-10},{100,10}})));
equation
  rn.fp = 1-(1-rp.fp)*(1-FP);
  annotation (Diagram(graphics), Icon(graphics={           Text(
          extent={{-146,-69},{154,-109}},
          textString="%name",
          lineColor={0,0,255}),
        Rectangle(
          extent={{-80,22},{80,-18}},
          lineColor={0,0,255},
          fillColor={0,128,255},
          fillPattern=FillPattern.Solid)}));
end PGBus;
