within AdaptR.Interfaces;
partial model TwoRelCon

  RelCon rp annotation (Placement(transformation(extent={{-100,-10},{-80,10}})));
  RelCon rn annotation (Placement(transformation(extent={{80,-10},{100,10}})));
  //failure rate is the frequency with which an engineered system or component fails,
  //expressed for example in failures per hour.
  parameter Real lambda = 0.01;
  Real P;
  Real FP;
equation
    P = exp(-lambda*time);
    FP = 1 -P;
end TwoRelCon;
