within AdaptR.RelComponents;
model RelComp
  extends AdaptR.Interfaces.TwoRelCon;

  AdaptR.Interfaces.RelCon rp 
    annotation (Placement(transformation(extent={{-100,-10},{-80,10}})));
  AdaptR.Interfaces.RelCon rn 
    annotation (Placement(transformation(extent={{80,-10},{100,10}})));
equation
  rn.fp = 1-(1-rp.fp)*(1-FP);
  annotation (Icon(graphics={
        Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,255}),
        Text(
          extent={{-64,58},{64,-44}},
          lineColor={0,0,255},
          fillPattern=FillPattern.Solid,
          textString="C"),
        Text(
          extent={{60,-98},{-48,-64}},
          lineColor={0,0,255},
          fillPattern=FillPattern.Solid,
          textString="%name")}), Diagram(graphics));
end RelComp;
