within AdaptR.RelComponents;
model RelSource
  parameter Real lambda = 0.001;
  Real P;
  Real FP;
  AdaptR.Interfaces.RelCon rn 
    annotation (Placement(transformation(extent={{80,-10},{100,10}})));
equation
  P = exp(-lambda*time);
  FP = 1- P;
  rn.fp = FP;
  annotation (Icon(graphics={Rectangle(extent={{-100,100},{100,-100}},
            lineColor={0,0,255}), Text(
          extent={{-62,48},{66,-54}},
          lineColor={0,0,255},
          fillPattern=FillPattern.Solid,
          textString="S")}),        Diagram(graphics));
end RelSource;
