within AdaptR.TestExamples.ConceptTestModels;
model epsDesign2layout02

  Electrical.Sources.BatteryConstantVoltage Battery6(lambda=4.077) 
    annotation (Placement(transformation(extent={{-192,42},{-172,62}})));
  Electrical.Basic.CircuitBreaker CB44(lambda=0.168055555555556) 
    annotation (Placement(transformation(extent={{-164,42},{-144,62}})));
  Electrical.Basic.Relay RL5(lambda=2.0031) 
    annotation (Placement(transformation(extent={{-136,42},{-116,62}})));
  Electrical.Sources.BatteryConstantVoltage Battery2(lambda=4.077) 
    annotation (Placement(transformation(extent={{-192,2},{-172,22}})));
  Electrical.Basic.CircuitBreaker CB40(lambda=0.168055555555556) 
    annotation (Placement(transformation(extent={{-164,2},{-144,22}})));
  Electrical.Basic.Relay RL1(lambda=2.0031) 
    annotation (Placement(transformation(extent={{-132,2},{-112,22}})));
  Electrical.Basic.PGBus PGBus1(lambda=2) 
    annotation (Placement(transformation(extent={{-86,42},{-66,62}})));
  Electrical.Basic.Relay RL19 
    annotation (Placement(transformation(extent={{-60,42},{-40,62}})));
  AdaptR.RelComponents.ParallelConnector PC
    annotation (Placement(transformation(extent={{-102,46},{-92,56}})));
  Electrical.Basic.DCBus DCBus1(lambda=2) 
    annotation (Placement(transformation(extent={{-34,42},{-14,62}})));
  Electrical.Basic.CircuitBreaker CB(lambda=0.168055555555556) 
    annotation (Placement(transformation(extent={{-4,42},{16,62}})));
  Electrical.Basic.CircuitBreaker CB2(lambda=0.168055555555556) 
    annotation (Placement(transformation(extent={{-2,0},{18,20}})));
  Electrical.Basic.Relay RL(lambda=2.0031) 
    annotation (Placement(transformation(extent={{26,42},{46,62}})));
  Electrical.Basic.DCResistor DC(lambda=2) 
    annotation (Placement(transformation(extent={{52,42},{72,62}})));
  Electrical.Basic.Inverter Inverter1(lambda=17.05) 
    annotation (Placement(transformation(extent={{26,0},{46,20}})));
  Electrical.Basic.CircuitBreaker CB3(lambda=0.168055555555556) 
    annotation (Placement(transformation(extent={{52,0},{72,20}})));
  Electrical.Basic.ACBus ACBus1(lambda=2) 
    annotation (Placement(transformation(extent={{78,0},{98,20}})));
  Electrical.Basic.Relay RL7(lambda=2.0031) 
    annotation (Placement(transformation(extent={{108,26},{128,46}})));
  Electrical.Basic.Relay RL88(lambda=2.0031) 
    annotation (Placement(transformation(extent={{108,0},{128,20}})));
  Electrical.Basic.Relay RL87(lambda=2.0031) 
    annotation (Placement(transformation(extent={{108,-28},{128,-8}})));
  Electrical.Basic.LightBulb Light(lambda=3.0415) 
    annotation (Placement(transformation(extent={{144,-28},{164,-8}})));
  Electrical.Basic.WaterPump Pump(lambda=43.6546) 
    annotation (Placement(transformation(extent={{146,0},{166,20}})));
  Electrical.Basic.LargeFan Fan(lambda=11.9639) 
    annotation (Placement(transformation(extent={{144,26},{164,46}})));
  RelComponents.MaxConnector4 maxConnector4_1 
    annotation (Placement(transformation(extent={{180,10},{190,20}})));
  RelSensors.MTTF mTTF 
    annotation (Placement(transformation(extent={{188,-26},{208,-6}})));
equation
  connect(RL5.rn, PC.rp1) annotation (Line(
      points={{-117,52},{-98,52}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(RL1.rn, PC.rp2) annotation (Line(
      points={{-113,12},{-108,12},{-108,50},{-98,50}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(Battery6.rn, CB44.rp) annotation (Line(
      points={{-173,52},{-163,52}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB44.rn, RL5.rp) annotation (Line(
      points={{-145,52},{-135,52}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(Battery2.rn, CB40.rp) annotation (Line(
      points={{-173,12},{-163,12}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB40.rn, RL1.rp) annotation (Line(
      points={{-145,12},{-131,12}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(PGBus1.rn, RL19.rp) annotation (Line(
      points={{-67,52},{-59,52}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(RL19.rn, DCBus1.rp) annotation (Line(
      points={{-41,52},{-33,52}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(DCBus1.rn, CB.rp) annotation (Line(
      points={{-15,52},{-3,52}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB.rn, RL.rp) annotation (Line(
      points={{15,52},{27,52}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(RL.rn, DC.rp) annotation (Line(
      points={{45,52},{53,52}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(DCBus1.rn, CB2.rp) annotation (Line(
      points={{-15,52},{-8,52},{-8,10},{-1,10}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB2.rn, Inverter1.rp) annotation (Line(
      points={{17,10},{27,10}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(Inverter1.rn, CB3.rp) annotation (Line(
      points={{45,10},{53,10}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB3.rn, ACBus1.rp) annotation (Line(
      points={{71,10},{79,10}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(ACBus1.rn, RL88.rp) annotation (Line(
      points={{97,10},{109,10}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(ACBus1.rn, RL7.rp) annotation (Line(
      points={{97,10},{102,10},{102,36},{109,36}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(ACBus1.rn, RL87.rp) annotation (Line(
      points={{97,10},{102,10},{102,-18},{109,-18}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(RL7.rn, Fan.rp) annotation (Line(
      points={{127,36},{145,36}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(RL88.rn, Pump.rp) annotation (Line(
      points={{127,10},{147,10}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(RL87.rn, Light.rp) annotation (Line(
      points={{127,-18},{145,-18}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(DC.rn, maxConnector4_1.rp3) annotation (Line(
      points={{71,52},{184,52},{184,18}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(Fan.rn, maxConnector4_1.rp1) annotation (Line(
      points={{163,36},{174,36},{174,16},{184,16}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(Pump.rn, maxConnector4_1.rp2) annotation (Line(
      points={{165,10},{174,10},{174,14},{184,14}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(Light.rn, maxConnector4_1.rp4) annotation (Line(
      points={{163,-18},{174,-18},{174,12},{184,12}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(maxConnector4_1.rn, mTTF.r) annotation (Line(
      points={{186,15},{190,15},{190,-16},{189,-16}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(PC.rn, PGBus1.rp) annotation (Line(
      points={{-96,51},{-90,51},{-90,52},{-85,52}},
      color={0,0,255},
      smooth=Smooth.None));
  annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-200,-100},
            {200,100}}), graphics), Icon(coordinateSystem(preserveAspectRatio=true,
          extent={{-200,-100},{200,100}})));
end epsDesign2layout02;
