within RampMETA.Human;
model CombatVehicleCrew02

  RampMETA.Human.SoldierStep Soldier01(startTime=2,
    duration=.5, height=500) 
    annotation (Placement(transformation(extent={{-80,40},{-60,60}})));
  RampMETA.Human.SoldierStep Soldier02(duration=1.5, startTime=2.5,
    height=500) 
    annotation (Placement(transformation(extent={{-74,-10},{-54,10}})));
  RampMETA.Human.SoldierStep Soldier03(duration=3, startTime=3.5,
    height=500) 
    annotation (Placement(transformation(extent={{-80,-60},{-60,-40}})));
  RampMETA.Human.SoldierStep Soldier04(duration=2, startTime=4,
    height=500) 
    annotation (Placement(transformation(extent={{-40,20},{-20,40}})));
  RampMETA.Human.SoldierStep Soldier05(duration=1, startTime=6,
    height=500) 
    annotation (Placement(transformation(extent={{-40,-40},{-20,-20}})));
  Control.Continuous.Sum sum1(nin=5) 
    annotation (Placement(transformation(extent={{18,-10},{38,10}})));
  Control.Sources.RealOutput y 
    annotation (Placement(transformation(extent={{90,-14},{110,6}})));
equation
  connect(Soldier01.y, sum1.u[1]) annotation (Line(
      points={{-59,50},{-26,50},{-26,-1.6},{16,-1.6}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(Soldier04.y, sum1.u[2]) annotation (Line(
      points={{-19,30},{-6,30},{-6,-0.8},{16,-0.8}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(Soldier02.y, sum1.u[3]) annotation (Line(
      points={{-53,0},{16,0}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(Soldier05.y, sum1.u[4]) annotation (Line(
      points={{-19,-30},{-8,-30},{-8,0.8},{16,0.8}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(Soldier03.y, sum1.u[5]) annotation (Line(
      points={{-59,-50},{-26,-50},{-26,1.6},{16,1.6}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(sum1.y, y) annotation (Line(
      points={{39,0},{62,0},{62,-4},{100,-4}},
      color={0,0,127},
      smooth=Smooth.None));
  annotation (Diagram(coordinateSystem(
        preserveAspectRatio=true,
        extent={{-100,-100},{100,100}},
        initialScale=0.3),
                      graphics), Icon(coordinateSystem(
        preserveAspectRatio=true,
        extent={{-100,-100},{100,100}},
        initialScale=0.3),            graphics={Bitmap(extent={{-100,108},{100,
              -96}}, fileName="modelica://RampMETA/Icons/soldiers_standing_icon.png")}));
end CombatVehicleCrew02;
