within RampMETA.Testing;
model testMotor
  import RampMETA;
  Modelica.Mechanics.Rotational.Components.Inertia inertia 
    annotation (Placement(transformation(extent={{32,-4},{52,16}})));
  RampMETA.Electrical.Subystems.EPSSubsystem00 ePSSubsystem02_1 
    annotation (Placement(transformation(extent={{-8,-8},{12,12}})));
  Modelica.Blocks.Sources.Constant const(k=10) 
    annotation (Placement(transformation(extent={{-64,-4},{-44,16}})));
equation
  connect(ePSSubsystem02_1.flange_b, inertia.flange_a) annotation (Line(
      points={{12,2},{22,2},{22,6},{32,6}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(const.y, ePSSubsystem02_1.u) annotation (Line(
      points={{-43,6},{-28,6},{-28,2},{-9.2,2}},
      color={0,0,127},
      smooth=Smooth.None));
  annotation (Diagram(graphics));
end testMotor;
