within RampMETA.Testing;
model test_kinematics
  Mechanics.Subsystems.kinematic_constraint kinematic_constraint 
    annotation (Placement(transformation(extent={{-18,24},{2,44}})));
  Control.Sources.Constant const(k=1000) 
    annotation (Placement(transformation(extent={{-86,36},{-66,56}})));
  Control.Sources.Constant const1(k=0.3) 
    annotation (Placement(transformation(extent={{-82,-4},{-62,16}})));
equation
  connect(const.y, kinematic_constraint.u1) annotation (Line(
      points={{-65,46},{-42,46},{-42,40.6},{-19.2,40.6}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(const1.y, kinematic_constraint.u) annotation (Line(
      points={{-61,6},{-42,6},{-42,31.4},{-19.8,31.4}},
      color={0,0,127},
      smooth=Smooth.None));
  annotation (Diagram(graphics));
end test_kinematics;
