within AdaptP.Electrical.Basic;
model ACBus
  parameter SI.Resistance R=0.0000001;
  extends Interfaces.OnePort;
equation
  v = R*i;
  annotation (Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
            -100},{100,100}}), graphics={
        Rectangle(
          extent={{-80,20},{80,-20}},
          lineColor={0,0,255},
          fillColor={127,0,0},
          fillPattern=FillPattern.Solid),
        Text(
          extent={{-154,87},{146,47}},
          textString="%name",
          lineColor={0,0,255})}));
end ACBus;
