within AdaptP.Examples.AdaptModels;
model AdaptModularDX10

  Modules.BatteryCabinet batteryCabinet 
    annotation (Placement(transformation(extent={{-242,78},{-180,140}})));
  Sensors.CurrentSensor IT140 
    annotation (Placement(transformation(extent={{-160,112},{-140,132}})));
  Sensors.CurrentSensor IT240 
    annotation (Placement(transformation(extent={{-162,-10},{-142,10}})));
  Sensors.CurrentSensor IT340 
    annotation (Placement(transformation(extent={{-166,-94},{-146,-74}})));
  Modules.LoadBank1 loadBank1 
    annotation (Placement(transformation(extent={{156,74},{222,144}})));
  Sensors.VoltageSensor E140 
    annotation (Placement(transformation(extent={{-136,68},{-116,88}})));
  Electrical.Basic.Relay EY141 
    annotation (Placement(transformation(extent={{-94,112},{-74,132}})));
  Sensors.PositionSensor ESH141A 
    annotation (Placement(transformation(extent={{-60,128},{-40,148}})));
  Electrical.Basic.Relay EY160 
    annotation (Placement(transformation(extent={{-18,112},{2,132}})));
  Electrical.Basic.CircuitBreaker CB162 
    annotation (Placement(transformation(extent={{18,112},{38,132}})));
  Electrical.Basic.Inverter INV1 
    annotation (Placement(transformation(extent={{42,112},{62,132}})));
  Sensors.VoltageSensor E165 
    annotation (Placement(transformation(extent={{56,88},{76,108}})));
  Sensors.CurrentSensor currentSensor 
    annotation (Placement(transformation(extent={{100,112},{120,132}})));
  Electrical.Basic.Relay EY144 
    annotation (Placement(transformation(extent={{-92,68},{-72,88}})));
  Sensors.PositionSensor ESH144A 
    annotation (Placement(transformation(extent={{-62,88},{-42,108}})));
  Sensors.CurrentSensor IT181 
    annotation (Placement(transformation(extent={{68,52},{88,72}})));
  Sensors.VoltageSensor E181 
    annotation (Placement(transformation(extent={{124,34},{144,54}})));
  Modules.LoadBank2 loadBank2 
    annotation (Placement(transformation(extent={{162,-84},{226,-16}})));
  Sensors.VoltageSensor E240 
    annotation (Placement(transformation(extent={{-122,-48},{-102,-28}})));
  Electrical.Basic.Relay EY241 
    annotation (Placement(transformation(extent={{-68,-10},{-48,10}})));
  Sensors.PositionSensor ESH241A 
    annotation (Placement(transformation(extent={{-50,10},{-30,30}})));
  Electrical.Basic.Relay EY244 
    annotation (Placement(transformation(extent={{-70,-50},{-50,-30}})));
  Sensors.PositionSensor ESH244A 
    annotation (Placement(transformation(extent={{-50,-32},{-30,-12}})));
  Sensors.VoltageSensor E340 
    annotation (Placement(transformation(extent={{-110,-130},{-90,-110}})));
  Electrical.Basic.Relay EY341 
    annotation (Placement(transformation(extent={{-68,-94},{-48,-74}})));
  Electrical.Basic.Relay EY344 
    annotation (Placement(transformation(extent={{-68,-132},{-48,-112}})));
  Sensors.PositionSensor ESH341A 
    annotation (Placement(transformation(extent={{-48,-74},{-28,-54}})));
  Sensors.PositionSensor ESH344A 
    annotation (Placement(transformation(extent={{-44,-116},{-24,-96}})));
  Electrical.Basic.Relay EY260 
    annotation (Placement(transformation(extent={{-2,-50},{18,-30}})));
  Electrical.Basic.Inverter INV2 
    annotation (Placement(transformation(extent={{60,-50},{80,-30}})));
  Sensors.VoltageSensor E265 
    annotation (Placement(transformation(extent={{84,-76},{104,-56}})));
  Electrical.Basic.CircuitBreaker CB266 
    annotation (Placement(transformation(extent={{106,-50},{126,-30}})));
  Sensors.CurrentSensor IT267 
    annotation (Placement(transformation(extent={{134,-50},{154,-30}})));
  Sensors.CurrentSensor IT281 
    annotation (Placement(transformation(extent={{64,-112},{84,-92}})));
  Sensors.VoltageSensor E281 
    annotation (Placement(transformation(extent={{106,-134},{126,-114}})));
  Electrical.Basic.Ground ground 
    annotation (Placement(transformation(extent={{228,-178},{248,-158}})));
protected
  Electrical.Interfaces.NegativePin n1 
    annotation (Placement(transformation(extent={{237,21},{239,23}})));
public
  Electrical.Basic.CircuitBreaker CB180 
    annotation (Placement(transformation(extent={{24,52},{44,72}})));
  Electrical.Basic.CircuitBreaker CB166 
    annotation (Placement(transformation(extent={{74,112},{94,132}})));
  Electrical.Basic.CircuitBreaker CB262 
    annotation (Placement(transformation(extent={{32,-50},{52,-30}})));
  Electrical.Basic.CircuitBreaker CB280 
    annotation (Placement(transformation(extent={{34,-112},{54,-92}})));
equation
  connect(batteryCabinet.pin1, IT140.p)         annotation (Line(
      points={{-181.24,130.7},{-170,130.7},{-170,122},{-159,122}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(batteryCabinet.pin2, IT240.p)          annotation (Line(
      points={{-181.24,109},{-172.58,109},{-172.58,0},{-161,0}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(batteryCabinet.pin3, IT340.p)          annotation (Line(
      points={{-181.24,87.3},{-181.58,87.3},{-181.58,-84},{-165,-84}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(IT140.n, EY141.p) annotation (Line(
      points={{-141,122},{-93,122}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY141.n, EY160.p) annotation (Line(
      points={{-75,122},{-17,122}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY160.n, CB162.p) annotation (Line(
      points={{1,122},{19,122}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(E140.p, IT140.n) annotation (Line(
      points={{-126,87},{-126,122},{-141,122}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(currentSensor.n, loadBank1.pIn1) annotation (Line(
      points={{119,122},{122,122},{122,119.733},{156.943,119.733}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY144.p, EY141.p) annotation (Line(
      points={{-91,78},{-100,78},{-100,122},{-93,122}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(IT181.n, E181.p) annotation (Line(
      points={{87,62},{134,62},{134,53}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(IT181.n, loadBank1.pIn2) annotation (Line(
      points={{87,62},{86,62},{86,81.4667},{156.943,81.4667}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(IT240.n, E240.p) annotation (Line(
      points={{-143,0},{-112,0},{-112,-29}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(IT240.n, EY241.p) annotation (Line(
      points={{-143,0},{-67,0}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY241.posPort, ESH241A.posPort) annotation (Line(
      points={{-58,9},{-58,20},{-49,20}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(IT240.n, EY244.p) annotation (Line(
      points={{-143,0},{-78,0},{-78,-40},{-69,-40}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY244.posPort, ESH244A.posPort) annotation (Line(
      points={{-60,-31},{-60,-22},{-49,-22}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(IT340.n, EY341.p) annotation (Line(
      points={{-147,-84},{-67,-84}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY344.p, IT340.n) annotation (Line(
      points={{-67,-122},{-82,-122},{-82,-84},{-147,-84}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(E340.p, IT340.n) annotation (Line(
      points={{-100,-111},{-100,-84},{-147,-84}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY341.posPort, ESH341A.posPort) annotation (Line(
      points={{-58,-75},{-58,-64},{-47,-64}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY344.posPort, ESH344A.posPort) annotation (Line(
      points={{-58,-113},{-58,-106},{-43,-106}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY141.n, EY241.n) annotation (Line(
      points={{-75,122},{-28,122},{-28,0},{-49,0}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY341.n, EY141.n) annotation (Line(
      points={{-49,-84},{-28,-84},{-28,122},{-75,122}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY144.n, EY244.n) annotation (Line(
      points={{-73,78},{-20,78},{-20,-40},{-51,-40}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY144.n, EY344.n) annotation (Line(
      points={{-73,78},{-20,78},{-20,-122},{-49,-122}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY260.p, EY244.n) annotation (Line(
      points={{-1,-40},{-51,-40}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB266.n, IT267.p) annotation (Line(
      points={{125,-40},{135,-40}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(IT281.n, E281.p) annotation (Line(
      points={{83,-102},{116,-102},{116,-115}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(IT281.n, loadBank2.pIn2) annotation (Line(
      points={{83,-102},{126,-102},{126,-76.7467},{162.914,-76.7467}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(IT267.n, loadBank2.pIn1) annotation (Line(
      points={{153,-40},{158,-40},{158,-39.5733},{162.914,-39.5733}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(loadBank1.pg, ground.p) annotation (Line(
      points={{221.764,107.833},{221.764,109.917},{238,109.917},{238,-158}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(loadBank2.pg, ground.p) annotation (Line(
      points={{225.771,-51.1333},{225.771,-90.5666},{238,-90.5666},{238,-158}},
      color={0,0,255},
      smooth=Smooth.None));

  connect(batteryCabinet.pin, ground.p) annotation (Line(
      points={{-237.66,79.24},{-213.83,79.24},{-213.83,-158},{238,-158}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(E340.n, ground.p) annotation (Line(
      points={{-100,-129},{-100,-158},{238,-158}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(E240.n, ground.p) annotation (Line(
      points={{-112,-47},{-112,-158},{238,-158}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(E140.n, ground.p) annotation (Line(
      points={{-126,69},{-126,-158},{238,-158}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(E265.n, ground.p) annotation (Line(
      points={{94,-75},{94,-158},{238,-158}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(E281.n, ground.p) annotation (Line(
      points={{116,-133},{116,-158},{238,-158}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(E181.n, n1) annotation (Line(
      points={{134,35},{134,22},{238,22}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(E165.n, n1) annotation (Line(
      points={{66,89},{65,89},{65,22},{238,22}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB162.n, INV1.pDC) annotation (Line(
      points={{37,122},{43,122}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(INV1.pAC, E165.p) annotation (Line(
      points={{61,122},{66,122},{66,107}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(INV2.pAC, CB266.p) annotation (Line(
      points={{79,-40},{107,-40}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(INV2.pAC, E265.p) annotation (Line(
      points={{79,-40},{94,-40},{94,-57}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB180.n, IT181.p) annotation (Line(
      points={{43,62},{69,62}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB180.p, EY160.n) annotation (Line(
      points={{25,62},{10,62},{10,122},{1,122}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB166.n, currentSensor.p) annotation (Line(
      points={{93,122},{101,122}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB166.p, INV1.pAC) annotation (Line(
      points={{75,122},{61,122}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB262.n, INV2.pDC) annotation (Line(
      points={{51,-40},{61,-40}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB262.p, EY260.n) annotation (Line(
      points={{33,-40},{17,-40}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB280.n, IT281.p) annotation (Line(
      points={{53,-102},{65,-102}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB280.p, EY260.n) annotation (Line(
      points={{35,-102},{26,-102},{26,-40},{17,-40}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY141.posPort, ESH141A.posPort) annotation (Line(
      points={{-84,131},{-84,138},{-59,138}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY144.posPort, ESH144A.posPort) annotation (Line(
      points={{-82,87},{-82,98},{-61,98}},
      color={0,0,255},
      smooth=Smooth.None));
  annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-250,
            -180},{250,150}}), graphics), Icon(coordinateSystem(
          preserveAspectRatio=true, extent={{-250,-180},{250,150}})));
end AdaptModularDX10;
