within AdaptP.Examples.TestFFL;
model test_Battery_FFL_02

  Electrical.Sources.FFL.BatteryConstantVoltage_FFL BAT_FFL 
    annotation (Placement(transformation(extent={{-54,52},{-34,72}})));
  Electrical.Basic.DCResistor dCResistor 
    annotation (Placement(transformation(extent={{24,52},{44,72}})));
  Electrical.Basic.Ground ground 
    annotation (Placement(transformation(extent={{38,8},{58,28}})));
  Modelica.Electrical.Analog.Ideal.IdealOpeningSwitch idealOpeningSwitch 
    annotation (Placement(transformation(extent={{-14,52},{6,72}})));
  Modelica.Blocks.Sources.BooleanStep booleanStep(startTime=5) 
    annotation (Placement(transformation(extent={{-38,78},{-18,98}})));
equation
  connect(dCResistor.n, ground.p) annotation (Line(
      points={{43,62},{48,62},{48,28}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(BAT_FFL.p, ground.p) annotation (Line(
      points={{-53,62},{-64,62},{-64,28},{48,28}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(BAT_FFL.n, idealOpeningSwitch.p) annotation (Line(
      points={{-35,62},{-14,62}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(idealOpeningSwitch.n, dCResistor.p) annotation (Line(
      points={{6,62},{25,62}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(booleanStep.y, idealOpeningSwitch.control) annotation (Line(
      points={{-17,88},{-4,88},{-4,69}},
      color={255,0,255},
      smooth=Smooth.None));
  annotation (Diagram(graphics));
end test_Battery_FFL_02;
