within AdaptP.Examples.TestFFL;
model test_Battery_FFL_03

  Electrical.Sources.FFL.BatteryConstantVoltage_FFL BAT_FFL 
    annotation (Placement(transformation(extent={{-26,8},{-6,28}})));
  Electrical.Basic.DCResistor dCResistor 
    annotation (Placement(transformation(extent={{4,8},{24,28}})));
  Electrical.Basic.Ground ground 
    annotation (Placement(transformation(extent={{24,-22},{44,-2}})));
  Sensors.FFL.TemperatureSensor_FFL TS_FFL 
    annotation (Placement(transformation(extent={{24,48},{44,68}})));
equation
  connect(dCResistor.n, ground.p) annotation (Line(
      points={{23,18},{34,18},{34,-2}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(BAT_FFL.n, dCResistor.p) annotation (Line(
      points={{-7,18},{5,18}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(BAT_FFL.p, ground.p) annotation (Line(
      points={{-25,18},{-36,18},{-36,-2},{34,-2}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(TS_FFL.port, BAT_FFL.heatPort) annotation (Line(
      points={{25,58},{-4,58},{-4,27},{-16,27}},
      color={127,0,0},
      smooth=Smooth.None));
  annotation (Diagram(graphics));
end test_Battery_FFL_03;
