within AdaptP.Examples.TestFFL;
model test_CircuitBreaker_FFL_01

  Electrical.Sources.BatteryConstantVoltage BAT 
    annotation (Placement(transformation(extent={{-68,10},{-48,30}})));
  Electrical.Basic.FFL.CircuitBreaker_FFL CB_FFL 
    annotation (Placement(transformation(extent={{-32,10},{-12,30}})));
  Electrical.Basic.DCResistor RES 
    annotation (Placement(transformation(extent={{-2,10},{18,30}})));
  Electrical.Basic.Ground ground 
    annotation (Placement(transformation(extent={{24,-36},{44,-16}})));
equation
  connect(BAT.n, CB_FFL.p) annotation (Line(
      points={{-49,20},{-31,20}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB_FFL.n, RES.p) annotation (Line(
      points={{-13,20},{-1,20}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(RES.n, ground.p) annotation (Line(
      points={{17,20},{34,20},{34,-16}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(ground.p, BAT.p) annotation (Line(
      points={{34,-16},{-84,-16},{-84,20},{-67,20}},
      color={0,0,255},
      smooth=Smooth.None));
  annotation (Diagram(graphics));
end test_CircuitBreaker_FFL_01;
