within AdaptP.Sensors.FFL;
model SpeedTransmitter_FFL
  extends SpeedTransmitter;
  //state = 0 NOMINAl
  //state = 1 DEGRADED
  //state = 2 LOST
  //state = 3 LOST RECOVERABLE

  discrete Integer state(start = 0);
algorithm
  when ((RPM> speedPort.s and RPM < speedPort.s+1) or (RPM > speedPort.s-1 and RPM< speedPort.s) and speedPort.s >0 and pre(state)==0) then
    state := 1; //DEGRADED
  elsewhen (RPM > speedPort.s+1 or RPM < speedPort.s-1 and speedPort.s > 0 and pre(state)==0) then
    state :=  2; //LOST
  elsewhen (speedPort.s <=0 and pre(state)==0) then
    state := 3; //LOST recoverable
  elsewhen (RPM > speedPort.s+1 or RPM < speedPort.s-1 and pre(state)==1) then
    state := 2; //LOST
  elsewhen (speedPort.s >0 and pre(state)==3) then
    state := 0; //NOMINAL
  end when;
end SpeedTransmitter_FFL;
