within AdaptP.Sensors.FFL;
model TemperatureSensor_FFL
  extends TemperatureSensor;
  //state = 0 NOMINAl
  //state = 1 DEGRADED
  //state = 2 LOST
  //state = 3 LOST RECOVERABLE

  discrete Integer state(start = 0);
algorithm
  when ((T> port.T and T < port.T+1) or (T > port.T-1 and T< port.T) and port.T >0 and pre(state)==0) then
    state := 1; //DEGRADED
  elsewhen (T > port.T+1 or T < port.T-1 and port.T > 0 and pre(state)==0) then
    state :=  2; //LOST
  elsewhen (port.T <=0 and pre(state)==0) then
    state := 3; //LOST recoverable
  elsewhen (T > port.T+1 or T < port.T-1 and pre(state)==1) then
    state := 2; // DEGRADED
  elsewhen (port.T >0 and pre(state)==3) then
    state := 0;
  end when;
end TemperatureSensor_FFL;
