within AdaptP.Sensors.FFL;
model VoltageSensor_FFL
  extends VoltageSensor;
  //state = 0 NOMINAl
  //state = 1 DEGRADED
  //state = 2 LOST
  //state = 3 LOST RECOVERABLE

  discrete Integer state(start = 0);
algorithm
  when ((v> vi and v < vi+1) or (v > vi-1 and v< vi) and vi >0 and pre(state)==0) then
    state := 1; //DEGRADED
  elsewhen (v > vi+1 or v < vi-1 and vi > 0 and pre(state)==0) then
    state :=  2; //LOST
  elsewhen (vi <=0 and pre(state)==0) then
    state := 3; //LOST recoverable
  elsewhen (v > vi+1 or v < vi-1 and pre(state)==1) then
    state := 2;  //LOST
  elsewhen (vi >0 and pre(state)==3) then
    state := 0;
  end when;
end VoltageSensor_FFL;
