within AdaptR.Electrical.Basic;
model DCResistor
  extends AdaptR.Interfaces.TwoRelCon;
  AdaptR.Interfaces.RelCon rp 
    annotation (Placement(transformation(extent={{-100,-10},{-80,10}}),
        iconTransformation(extent={{-100,-10},{-80,10}})));
  AdaptR.Interfaces.RelCon rn 
    annotation (Placement(transformation(extent={{80,-10},{100,10}})));
equation
  rn.fp = 1-(1-rp.fp)*(1-FP);
  annotation (Diagram(graphics), Icon(graphics={
        Line(points={{-80,0},{-60,0}}, color={0,0,255}),
        Rectangle(
          extent={{-70,30},{70,-30}},
          lineColor={0,0,255},
          fillColor={255,255,255},
          fillPattern=FillPattern.Solid),
        Line(points={{80,10},{100,10}},
                                     color={0,0,255}),
        Text(
          extent={{-134,-30},{152,-62}},
          lineColor={0,0,0},
          textString="R=%R"),
        Text(
          extent={{-144,97},{156,57}},
          textString="%name",
          lineColor={0,0,255}),
        Line(points={{70,0},{82,0}},   color={0,0,255})}));
end DCResistor;
