within AdaptR.Electrical.Basic;
model Inverter
  extends AdaptR.Interfaces.TwoRelCon;
  AdaptR.Interfaces.RelCon rp 
    annotation (Placement(transformation(extent={{-100,-10},{-80,10}})));
  AdaptR.Interfaces.RelCon rn 
    annotation (Placement(transformation(extent={{80,-10},{100,10}})));
equation
  rn.fp = 1-(1-rp.fp)*(1-FP);
  annotation (Diagram(graphics), Icon(graphics={           Text(
          extent={{-146,-69},{154,-109}},
          textString="%name",
          lineColor={0,0,255}),
        Bitmap(extent={{-48,56},{-48,74}}, fileName=
              "modelica://RELMOD/../Icons/inverter.jpg"),
        Bitmap(extent={{-74,76},{76,-72}}, fileName="modelica://AdaptR/../Icons/inverter.jpg")}));
end Inverter;
