within AdaptR.Electrical.Basic;
model LargeFan
  extends AdaptR.Interfaces.TwoRelCon;
  AdaptR.Interfaces.RelCon rp 
    annotation (Placement(transformation(extent={{-100,-8},{-80,12}}),
        iconTransformation(extent={{-100,-10},{-80,10}})));
  AdaptR.Interfaces.RelCon rn 
    annotation (Placement(transformation(extent={{80,-10},{100,10}})));
equation
  rn.fp = 1-(1-rp.fp)*(1-FP);
  annotation (Diagram(graphics), Icon(graphics={Bitmap(extent={{-60,92},{72,-80}},
            fileName="modelica://AdaptR/../Icons/Fan.JPG"),Text(
          extent={{-146,-69},{154,-109}},
          textString="%name",
          lineColor={0,0,255})}));
end LargeFan;
