within AdaptR.Electrical.Basic;
model Relay
  extends AdaptR.Interfaces.TwoRelCon;
  AdaptR.Interfaces.RelCon rp 
    annotation (Placement(transformation(extent={{-100,-10},{-80,10}})));
  AdaptR.Interfaces.RelCon rn 
    annotation (Placement(transformation(extent={{80,-10},{100,10}})));
equation
  rn.fp = 1-(1-rp.fp)*(1-FP);
  annotation (Diagram(graphics), Icon(graphics={Bitmap(extent={{-70,98},{72,-82}},
            fileName="modelica://AdaptR/../Icons/Relay.bmp"),
                                                           Text(
          extent={{-146,-69},{154,-109}},
          textString="%name",
          lineColor={0,0,255})}));
end Relay;
