within AdaptR.RelComponents;
model ParallelConnector

  AdaptR.Interfaces.RelCon rp1 
    annotation (Placement(transformation(extent={{-20,0},{0,20}}),
        iconTransformation(extent={{-20,0},{0,20}})));
  AdaptR.Interfaces.RelCon rp2 
    annotation (Placement(transformation(extent={{-20,-20},{0,0}}),
        iconTransformation(extent={{-20,-20},{0,0}})));
  AdaptR.Interfaces.RelCon rn 
    annotation (Placement(transformation(extent={{0,-10},{20,10}}),
        iconTransformation(extent={{0,-10},{20,10}})));
equation
  rn.fp=rp1.fp*rp2.fp;
                                             annotation (Line(
      points={{10,0},{10,6},{10,0},{10,0}},
      color={0,0,255},
      smooth=Smooth.None),
              Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-50,
            -50},{50,50}}),
                      graphics), Icon(coordinateSystem(preserveAspectRatio=true,
          extent={{-50,-50},{50,50}}), graphics));
end ParallelConnector;
