within AdaptR.RelComponents;
model SeriesConnector

  AdaptR.Interfaces.RelCon rp1 
    annotation (Placement(transformation(extent={{-20,0},{0,20}}),
        iconTransformation(extent={{-20,0},{0,20}})));
  AdaptR.Interfaces.RelCon rp2 
    annotation (Placement(transformation(extent={{-20,-20},{0,0}}),
        iconTransformation(extent={{-20,-20},{0,0}})));
  AdaptR.Interfaces.RelCon rn 
    annotation (Placement(transformation(extent={{0,-10},{20,10}}),
        iconTransformation(extent={{0,-10},{20,10}})));
equation
  rn.fp=1-(1-rp1.fp)*(1-rp2.fp);
annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-50,-50},
            {50,50}}),graphics), Icon(coordinateSystem(preserveAspectRatio=true,
          extent={{-50,-50},{50,50}}), graphics={Rectangle(
          extent={{-22,26},{22,-26}},
          lineColor={0,127,0},
          fillColor={0,127,0},
          fillPattern=FillPattern.Solid)}));
end SeriesConnector;
