within AdaptR.RelSensors;
model MTTF

  Interfaces.RelCon r annotation (Placement(transformation(extent={{-100,-10},{-80,
            10}}), iconTransformation(extent={{-100,-10},{-80,10}})));
  Modelica.Blocks.Interfaces.RealOutput y annotation (Placement(transformation(
          extent={{80,-10},{100,10}}), iconTransformation(extent={{80,-10},{100,
            10}})));
  Real in_signal_integrator;
  //Real area(start=0);
  Modelica.Blocks.Continuous.Integrator integrator 
    annotation (Placement(transformation(extent={{-4,-10},{16,10}})));
equation
    in_signal_integrator = 1-r.fp;
    /*
    when sample(0,0.1) then
      area = pre(area)+in_signal_integrator*0.1;
    end when;
    area = y;
    */
    integrator.u = in_signal_integrator;
  connect(integrator.y, y) annotation (Line(
      points={{17,0},{90,0}},
      color={0,0,127},
      smooth=Smooth.None));
  annotation (Icon(graphics={Ellipse(extent={{-100,100},{100,-102}}, lineColor={
              0,0,255}), Text(
          extent={{92,-32},{-84,30}},
          lineColor={0,0,255},
          textString="MTTF")}), Diagram(graphics));
end MTTF;
