within AdaptR.TestExamples.ConceptTestModels;
model epsDesign1layout01
  Electrical.Sources.BatteryConstantVoltage Battery 
    annotation (Placement(transformation(extent={{-188,40},{-168,60}})));
  Electrical.Basic.CircuitBreaker CB4 
    annotation (Placement(transformation(extent={{-158,40},{-138,60}})));
  Electrical.Basic.Relay RL13 
    annotation (Placement(transformation(extent={{-130,40},{-110,60}})));
  Electrical.Basic.PGBus PGBus1 
    annotation (Placement(transformation(extent={{-102,40},{-82,60}})));
  Electrical.Basic.Relay RL15 
    annotation (Placement(transformation(extent={{-72,40},{-52,60}})));
  Electrical.Basic.DCBus DCBus1 
    annotation (Placement(transformation(extent={{-46,40},{-26,60}})));
  Electrical.Basic.CircuitBreaker CB 
    annotation (Placement(transformation(extent={{-20,72},{0,92}})));
  Electrical.Basic.Relay RL10 
    annotation (Placement(transformation(extent={{6,72},{26,92}})));
  Electrical.Basic.DCResistor DC 
    annotation (Placement(transformation(extent={{36,72},{56,92}})));
  Electrical.Basic.CircuitBreaker CB2 
    annotation (Placement(transformation(extent={{-14,12},{6,32}})));
  Electrical.Basic.Inverter Inverter1 
    annotation (Placement(transformation(extent={{14,12},{34,32}})));
  Electrical.Basic.ACBus ACBus1 
    annotation (Placement(transformation(extent={{74,12},{94,32}})));
  Electrical.Basic.CircuitBreaker CB3 
    annotation (Placement(transformation(extent={{42,12},{62,32}})));
  Electrical.Basic.Relay RL77 
    annotation (Placement(transformation(extent={{104,46},{124,66}})));
  Electrical.Basic.Relay RL76 
    annotation (Placement(transformation(extent={{108,12},{128,32}})));
  Electrical.Basic.Relay RL6 
    annotation (Placement(transformation(extent={{108,-14},{128,6}})));
  Electrical.Basic.LightBulb Light 
    annotation (Placement(transformation(extent={{140,12},{160,32}})));
  Electrical.Basic.LargeFan Fan 
    annotation (Placement(transformation(extent={{138,46},{158,66}})));
  Electrical.Basic.WaterPump Pump 
    annotation (Placement(transformation(extent={{140,-14},{160,6}})));
equation
  connect(Battery.rn, CB4.rp) annotation (Line(
      points={{-169,50},{-157,50}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB4.rn, RL13.rp) annotation (Line(
      points={{-139,50},{-129,50}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(RL13.rn, PGBus1.rp) annotation (Line(
      points={{-111,50},{-101,50}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(PGBus1.rn, RL15.rp) annotation (Line(
      points={{-83,50},{-71,50}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(RL15.rn, DCBus1.rp) annotation (Line(
      points={{-53,50},{-45,50}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(DCBus1.rn, CB.rp) annotation (Line(
      points={{-27,50},{-20,50},{-20,82},{-19,82}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB.rn, RL10.rp) annotation (Line(
      points={{-1,82},{7,82}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(RL10.rn, DC.rp) annotation (Line(
      points={{25,82},{38,82},{38,82},{37,82}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(DCBus1.rn, CB2.rp) annotation (Line(
      points={{-27,50},{-20,50},{-20,22},{-13,22}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB2.rn, Inverter1.rp) annotation (Line(
      points={{5,22},{15,22}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(Inverter1.rn, CB3.rp) annotation (Line(
      points={{33,22},{43,22}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB3.rn, ACBus1.rp) annotation (Line(
      points={{61,22},{75,22}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(ACBus1.rn, RL77.rp) annotation (Line(
      points={{93,22},{100,22},{100,56},{105,56}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(ACBus1.rn, RL76.rp) annotation (Line(
      points={{93,22},{109,22}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(ACBus1.rn, RL6.rp) annotation (Line(
      points={{93,22},{100,22},{100,-4},{109,-4}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(RL77.rn, Fan.rp) annotation (Line(
      points={{123,56},{139,56}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(RL76.rn, Light.rp) annotation (Line(
      points={{127,22},{141,22}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(RL6.rn, Pump.rp) annotation (Line(
      points={{127,-4},{141,-4}},
      color={0,0,255},
      smooth=Smooth.None));
  annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{
            -200,-100},{200,100}}), graphics), Icon(coordinateSystem(
          preserveAspectRatio=true, extent={{-200,-100},{200,100}})));
end epsDesign1layout01;
