within AdaptR.TestExamples.ConceptTestModels;
model epsDesign1layout02
  Electrical.Sources.BatteryConstantVoltage Battery(lambda=4.077) 
    annotation (Placement(transformation(extent={{-188,40},{-168,60}})));
  Electrical.Basic.CircuitBreaker CB4(lambda=0.168055555555556) 
    annotation (Placement(transformation(extent={{-158,40},{-138,60}})));
  Electrical.Basic.Relay RL13(lambda=2.0031) 
    annotation (Placement(transformation(extent={{-130,40},{-110,60}})));
  Electrical.Basic.PGBus PGBus1(lambda=2) 
    annotation (Placement(transformation(extent={{-102,40},{-82,60}})));
  Electrical.Basic.Relay RL15(lambda=2.0031) 
    annotation (Placement(transformation(extent={{-72,40},{-52,60}})));
  Electrical.Basic.DCBus DCBus1(lambda=2) 
    annotation (Placement(transformation(extent={{-46,40},{-26,60}})));
  Electrical.Basic.CircuitBreaker CB(lambda=0.168055555555556) 
    annotation (Placement(transformation(extent={{-20,72},{0,92}})));
  Electrical.Basic.Relay RL10(lambda=2.0031) 
    annotation (Placement(transformation(extent={{6,72},{26,92}})));
  Electrical.Basic.DCResistor DC(lambda=2) 
    annotation (Placement(transformation(extent={{36,72},{56,92}})));
  Electrical.Basic.CircuitBreaker CB2(lambda=0.168055555555556) 
    annotation (Placement(transformation(extent={{-14,12},{6,32}})));
  Electrical.Basic.Inverter Inverter1(lambda=17.05) 
    annotation (Placement(transformation(extent={{14,12},{34,32}})));
  Electrical.Basic.ACBus ACBus1(lambda=2) 
    annotation (Placement(transformation(extent={{74,12},{94,32}})));
  Electrical.Basic.CircuitBreaker CB3(lambda=0.168055555555556) 
    annotation (Placement(transformation(extent={{42,12},{62,32}})));
  Electrical.Basic.Relay RL77(lambda=2.0031) 
    annotation (Placement(transformation(extent={{104,46},{124,66}})));
  Electrical.Basic.Relay RL76(lambda=2.0031) 
    annotation (Placement(transformation(extent={{108,12},{128,32}})));
  Electrical.Basic.Relay RL6(lambda=2.0031) 
    annotation (Placement(transformation(extent={{108,-14},{128,6}})));
  Electrical.Basic.LightBulb Light(lambda=3.0415) 
    annotation (Placement(transformation(extent={{140,12},{160,32}})));
  Electrical.Basic.LargeFan Fan(lambda=11.9639) 
    annotation (Placement(transformation(extent={{138,46},{158,66}})));
  Electrical.Basic.WaterPump Pump(lambda=43.6546) 
    annotation (Placement(transformation(extent={{140,-14},{160,6}})));
  AdaptR.RelSensors.MTTF mTTF 
    annotation (Placement(transformation(extent={{196,-20},{216,0}})));
  RelComponents.MaxConnector4 maxConnector4_1 
    annotation (Placement(transformation(extent={{174,26},{184,36}})));
equation
  connect(Battery.rn, CB4.rp) annotation (Line(
      points={{-169,50},{-157,50}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB4.rn, RL13.rp) annotation (Line(
      points={{-139,50},{-129,50}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(RL13.rn, PGBus1.rp) annotation (Line(
      points={{-111,50},{-101,50}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(PGBus1.rn, RL15.rp) annotation (Line(
      points={{-83,50},{-71,50}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(RL15.rn, DCBus1.rp) annotation (Line(
      points={{-53,50},{-45,50}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(DCBus1.rn, CB.rp) annotation (Line(
      points={{-27,50},{-20,50},{-20,82},{-19,82}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB.rn, RL10.rp) annotation (Line(
      points={{-1,82},{7,82}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(RL10.rn, DC.rp) annotation (Line(
      points={{25,82},{37,82}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(DCBus1.rn, CB2.rp) annotation (Line(
      points={{-27,50},{-20,50},{-20,22},{-13,22}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB2.rn, Inverter1.rp) annotation (Line(
      points={{5,22},{15,22}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(Inverter1.rn, CB3.rp) annotation (Line(
      points={{33,22},{43,22}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB3.rn, ACBus1.rp) annotation (Line(
      points={{61,22},{75,22}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(ACBus1.rn, RL77.rp) annotation (Line(
      points={{93,22},{100,22},{100,56},{105,56}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(ACBus1.rn, RL76.rp) annotation (Line(
      points={{93,22},{109,22}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(ACBus1.rn, RL6.rp) annotation (Line(
      points={{93,22},{100,22},{100,-4},{109,-4}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(RL77.rn, Fan.rp) annotation (Line(
      points={{123,56},{139,56}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(RL76.rn, Light.rp) annotation (Line(
      points={{127,22},{141,22}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(RL6.rn, Pump.rp) annotation (Line(
      points={{127,-4},{141,-4}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(DC.rn, maxConnector4_1.rp3) annotation (Line(
      points={{55,82},{178,82},{178,34}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(Fan.rn, maxConnector4_1.rp1) annotation (Line(
      points={{157,56},{168,56},{168,32},{178,32}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(Light.rn, maxConnector4_1.rp2) annotation (Line(
      points={{159,22},{168,22},{168,30},{178,30}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(Pump.rn, maxConnector4_1.rp4) annotation (Line(
      points={{159,-4},{172,-4},{172,28},{178,28}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(maxConnector4_1.rn, mTTF.r) annotation (Line(
      points={{180,31},{184,31},{184,-10},{197,-10}},
      color={0,0,255},
      smooth=Smooth.None));
  annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-200,
            -100},{250,100}}),      graphics), Icon(coordinateSystem(
          preserveAspectRatio=true, extent={{-200,-100},{250,100}})));
end epsDesign1layout02;
