within AdaptR.TestExamples.TestModels;
model TestSeriesRelDiagram

  RelComponents.RelComp C1(lambda=0.00001) 
    annotation (Placement(transformation(extent={{-40,60},{-20,80}})));
  RelComponents.RelSource relSource(lambda=0.00001) 
    annotation (Placement(transformation(extent={{-100,60},{-80,80}})));
  RelComponents.RelComp C2(lambda=0.00001) 
    annotation (Placement(transformation(extent={{0,60},{20,80}})));
  RelComponents.RelComp C3(lambda=0.00001) 
    annotation (Placement(transformation(extent={{-40,20},{-20,40}})));
  RelComponents.RelComp C4(lambda=0.00001) 
    annotation (Placement(transformation(extent={{2,20},{22,40}})));
  RelComponents.RelSink relSink 
    annotation (Placement(transformation(extent={{60,44},{80,64}})));
  AdaptR.RelComponents.ParallelConnector pc
    annotation (Placement(transformation(extent={{28,44},{48,64}})));
  RelComponents.RelSource relSource1(lambda=0.00001) 
    annotation (Placement(transformation(extent={{-98,20},{-78,40}})));
equation
  connect(relSource.rn, C1.rp) annotation (Line(
      points={{-81,70},{-39,70}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(C1.rn, C2.rp) annotation (Line(
      points={{-21,70},{1,70}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(C3.rn, C4.rp) annotation (Line(
      points={{-21,30},{3,30}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(C2.rn, pc.rp1) annotation (Line(
      points={{19,70},{32,70},{32,56},{36,56}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(C4.rn, pc.rp2) annotation (Line(
      points={{21,30},{32,30},{32,52},{36,52}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(pc.rn, relSink.rp) annotation (Line(
      points={{40,54},{61,54}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(relSource1.rn, C3.rp) annotation (Line(
      points={{-79,30},{-39,30}},
      color={0,0,255},
      smooth=Smooth.None));
  annotation (Diagram(graphics));
end TestSeriesRelDiagram;
