within RampMETA.Electrical.Basic;
model WaterPump
  parameter Modelica.SIunits.Resistance R(start=1)=1;
  extends RampMETA.Electrical.Interfaces.OnePort;
equation
  v = R*i;
  annotation (Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
            -100},{100,100}}), graphics={
        Text(
          extent={{-152,113},{148,73}},
          textString="%name",
          lineColor={0,0,255}), Bitmap(extent={{-72,74},{80,-78}}, fileName=
              "modelica://RampMETA/Icons/WaterPump.jpg")}),
                                  Diagram(graphics));
end WaterPump;
