within RampMETA.Human;
block SoldierStep "Simplified model of a soldier steping on the ramp"
  parameter Real height=1 "Height of step";
  parameter Real duration = 1 "Duration of the step";

  extends Modelica.Blocks.Interfaces.SignalSource;
equation
  y = offset + (if time < startTime or time >= startTime + duration then 0 else 
                     height);
  annotation (Icon(graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
              "modelica://RampMETA/Icons/soldier_icon.jpg")}));
end SoldierStep;
