within RampMETA.Testing.Electrical;
model epsDesign1layoutEMF01
  import RampMETA.Electrical.Basic.*;
  import RampMETA.Electrical.Sources.*;
  import RampMETA;
  WaterPump Pump annotation (Placement(transformation(extent={{134,-64},{154,
            -44}})));
  LargeFan Fan annotation (Placement(transformation(extent={{132,8},{152,28}})));
  LightBulb Light annotation (Placement(transformation(extent={{132,-28},{152,
            -8}})));
  Relay RL6 annotation (Placement(transformation(extent={{102,-64},{122,-44}})));
  Relay RL76 annotation (Placement(transformation(extent={{100,-28},{120,-8}})));
  Relay RL77 annotation (Placement(transformation(extent={{100,8},{120,28}})));
  ACBus ACBus1 annotation (Placement(transformation(extent={{62,-28},{82,-8}})));
  DCBus DCBus1 annotation (Placement(transformation(extent={{-48,18},{-28,38}})));
  Relay RL10 annotation (Placement(transformation(extent={{18,36},{38,56}})));
  CircuitBreaker CB annotation (Placement(transformation(extent={{-8,36},{12,56}})));
  PGBus PGBus1 annotation (Placement(transformation(extent={{-100,18},{-80,38}})));
  BatteryConstantVoltage Battery annotation (Placement(transformation(extent={{-178,18},
            {-158,38}})));
  Relay RL13 annotation (Placement(transformation(extent={{-126,18},{-106,38}})));
  CircuitBreaker CB4 annotation (Placement(transformation(extent={{-152,18},{
            -132,38}})));
  Relay RL15 annotation (Placement(transformation(extent={{-72,18},{-52,38}})));
  CircuitBreaker CB2 annotation (Placement(transformation(extent={{-12,-28},{8,
            -8}})));
  CircuitBreaker CB3 annotation (Placement(transformation(extent={{40,-28},{60,
            -8}})));
  InverterC Inverter1 annotation (Placement(transformation(extent={{12,-28},{32,
            -8}})));
  Ground gnd   annotation (Placement(transformation(extent={{176,-90},{196,-70}})));
  RampMETA.Mechanics.Rotational.Components.Inertia inertia 
    annotation (Placement(transformation(extent={{130,66},{150,86}})));
  RampMETA.Electrical.Basic.EMFGeneratorR eMFGeneratorR 
    annotation (Placement(transformation(extent={{88,36},{108,56}})));
equation
  connect(CB3.n,ACBus1.p) 
                         annotation (Line(points={{59,-18},{63,-18}},
                                                                  color={0,0,255},smooth=Smooth.None));
  connect(Inverter1.n,CB3.p) 
                            annotation (Line(points={{31,-18},{41,-18}},
                                                                     color={0,0,255},smooth=Smooth.None));
  connect(CB2.n,Inverter1.p) 
                            annotation (Line(points={{7,-18},{13,-18}},
                                                                     color={0,0,255},smooth=Smooth.None));
  connect(DCBus1.n,CB2.p) 
                         annotation (Line(points={{-29,28},{-22,28},{-22,-18},{
          -11,-18}},                                              color={0,0,255},smooth=Smooth.None));
  connect(RL15.n,DCBus1.p) 
                          annotation (Line(points={{-53,28},{-47,28}},
                                                                   color={0,0,255},smooth=Smooth.None));
  connect(PGBus1.n,RL15.p) 
                          annotation (Line(points={{-81,28},{-71,28}},
                                                                   color={0,0,255},smooth=Smooth.None));
  connect(RL13.n,PGBus1.p) 
                          annotation (Line(points={{-107,28},{-99,28}},
                                                                   color={0,0,255},smooth=Smooth.None));
  connect(CB4.n,RL13.p) 
                       annotation (Line(points={{-133,28},{-125,28}},
                                                                color={0,0,255},smooth=Smooth.None));
  connect(Battery.n,CB4.p) 
                          annotation (Line(points={{-159,28},{-151,28}},
                                                                   color={0,0,255},smooth=Smooth.None));
  connect(DCBus1.n,CB.p) 
                        annotation (Line(points={{-29,28},{-22,28},{-22,46},{-7,
          46}},                                                  color={0,0,255},smooth=Smooth.None));
  connect(ACBus1.n,RL6.p) 
                         annotation (Line(points={{81,-18},{92,-18},{92,-54},{
          103,-54}},                                              color={0,0,255},smooth=Smooth.None));
  connect(ACBus1.n,RL76.p) 
                          annotation (Line(points={{81,-18},{101,-18}},
                                                                   color={0,0,255},smooth=Smooth.None));
  connect(ACBus1.n,RL77.p) 
                          annotation (Line(points={{81,-18},{92,-18},{92,18},{
          101,18}},                                                color={0,0,255},smooth=Smooth.None));
  connect(CB.n,RL10.p) 
                      annotation (Line(points={{11,46},{19,46}},
                                                               color={0,0,255},smooth=Smooth.None));
  connect(RL77.n,Fan.p) 
                       annotation (Line(points={{119,18},{133,18}},
                                                                color={0,0,255},smooth=Smooth.None));
  connect(RL76.n,Light.p) 
                         annotation (Line(points={{119,-18},{133,-18}},
                                                                  color={0,0,255},smooth=Smooth.None));
  connect(RL6.n,Pump.p) 
                       annotation (Line(points={{121,-54},{135,-54}},
                                                                color={0,0,255},smooth=Smooth.None));
  connect(Battery.p,gnd.p) 
                          annotation (Line(points={{-177,28},{-190.5,28},{
          -190.5,-70},{186,-70}},                                  color={0,0,255},smooth=Smooth.None));
  connect(Light.n,gnd.p) 
                        annotation (Line(points={{151,-18},{186.5,-18},{186.5,
          -70},{186,-70}},                                       color={0,0,255},smooth=Smooth.None));
  connect(Fan.n,gnd.p) 
                      annotation (Line(points={{151,18},{186.5,18},{186.5,-70},
          {186,-70}},                                          color={0,0,255},smooth=Smooth.None));
  connect(Pump.n,gnd.p) 
                       annotation (Line(points={{153,-54},{186.5,-54},{186.5,
          -70},{186,-70}},                                      color={0,0,255},smooth=Smooth.None));
  connect(RL10.n, eMFGeneratorR.p) annotation (Line(
      points={{37,46},{89,46}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(eMFGeneratorR.flange_b, inertia.flange_a) annotation (Line(
      points={{98.2,55.8},{115.1,55.8},{115.1,76},{130,76}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(eMFGeneratorR.n, gnd.p) annotation (Line(
      points={{107,46},{186,46},{186,-70}},
      color={0,0,255},
      smooth=Smooth.None));
  annotation (
    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-200,-100},{200,
            100}}),                                                                     graphics),
    Icon(coordinateSystem(preserveAspectRatio=true, extent={{-200,-100},{200,100}})),
    uses(Modelica(version="3.1")));
end epsDesign1layoutEMF01;
